// The Exchange: Genetically Evolving Market Agents 
// Written by David J. Stein, Esq., 11/22/2004. See "License.html" for terms and conditions of use.
//
// This module contains the code for the form that displays the About dialog box.

#region Using declarations

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

#endregion

namespace The_Exchange_Namespace {

	public class ExchangeAboutDialog : System.Windows.Forms.Form	{
		// This class represents the About box.

		#region Variables and initialization code

		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Button btnOK;
		private System.ComponentModel.Container components = null;

		public ExchangeAboutDialog()	{
			InitializeComponent();
		}

		#endregion
		
		#region Event handlers

		private void btnOK_Click(object sender, System.EventArgs e) {
			Close();
		}

		#endregion

		#region Uninteresting Windows Form Designer generated code

		protected override void Dispose(bool disposing)		{
			if (disposing) {
				if (components != null) {
				components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

	private void InitializeComponent()	{
		System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(ExchangeAboutDialog));
		this.label1 = new System.Windows.Forms.Label();
		this.label2 = new System.Windows.Forms.Label();
		this.label3 = new System.Windows.Forms.Label();
		this.label4 = new System.Windows.Forms.Label();
		this.btnOK = new System.Windows.Forms.Button();
		this.SuspendLayout();
		// 
		// label1
		// 
		this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
		this.label1.ForeColor = System.Drawing.Color.White;
		this.label1.Location = new System.Drawing.Point(6, 8);
		this.label1.Name = "label1";
		this.label1.Size = new System.Drawing.Size(280, 24);
		this.label1.TabIndex = 0;
		this.label1.Text = "The Exchange: A Market Simulation";
		this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
		// 
		// label2
		// 
		this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
		this.label2.ForeColor = System.Drawing.Color.White;
		this.label2.Location = new System.Drawing.Point(6, 32);
		this.label2.Name = "label2";
		this.label2.Size = new System.Drawing.Size(280, 24);
		this.label2.TabIndex = 1;
		this.label2.Text = "Written by David J. Stein, Esq.";
		this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
		// 
		// label3
		// 
		this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
		this.label3.ForeColor = System.Drawing.Color.White;
		this.label3.Location = new System.Drawing.Point(6, 72);
		this.label3.Name = "label3";
		this.label3.Size = new System.Drawing.Size(280, 152);
		this.label3.TabIndex = 2;
		this.label3.Text = @"This application was written over the course of three weeks as an assignment for a masters degree course in artificial intelligence taught by Professor Toshinori Munakata. It was designed as an experiment with a genetic programming model of solution discovery, but evolved well past the bounds of the assignment to include opcode design, a virtual machine and emulated execution, two-pass compilation, etc. Please direct questions and comments to djs10@po.cwru.edu and include the term ""The Exchange"" in the subject line to avoid spam filters.";
		this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
		// 
		// label4
		// 
		this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 6.75F, System.Drawing.FontStyle.Italic, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
		this.label4.ForeColor = System.Drawing.Color.White;
		this.label4.Location = new System.Drawing.Point(6, 248);
		this.label4.Name = "label4";
		this.label4.Size = new System.Drawing.Size(280, 16);
		this.label4.TabIndex = 3;
		this.label4.Text = "The Exchange v1.0. (c) David J. Stein, Esq. All rights reserved.";
		this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
		// 
		// btnOK
		// 
		this.btnOK.BackColor = System.Drawing.SystemColors.Control;
		this.btnOK.Location = new System.Drawing.Point(109, 224);
		this.btnOK.Name = "btnOK";
		this.btnOK.TabIndex = 4;
		this.btnOK.Text = "OK";
		this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
		// 
		// ExchangeAboutDialog
		// 
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.BackColor = System.Drawing.Color.DarkBlue;
		this.ClientSize = new System.Drawing.Size(292, 266);
		this.ControlBox = false;
		this.Controls.Add(this.btnOK);
		this.Controls.Add(this.label4);
		this.Controls.Add(this.label3);
		this.Controls.Add(this.label2);
		this.Controls.Add(this.label1);
		this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
		this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
		this.Name = "ExchangeAboutDialog";
		this.ShowInTaskbar = false;
		this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
		this.Text = "About";
		this.ResumeLayout(false);

	}
		#endregion

	}
}
