// The Exchange: Genetically Evolving Market Agents 
// Written by David J. Stein, Esq., 11/22/2004. See "License.html" for terms and conditions of use.
//
// This module contains the code for the form that displays the agent designer help dialog.

#region Using declarations

using System;
using System.IO;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

#endregion

namespace The_Exchange_Namespace {

	public class ExchangeAgentDesignerHelpDialog : System.Windows.Forms.Form	{
		// This class represents the help dialog for the Agent Designer.

		#region Variables and initialization code

		private System.Windows.Forms.TextBox txtHelp;
		private System.ComponentModel.Container components = null;

		public ExchangeAgentDesignerHelpDialog()	{
			InitializeComponent();
		}

		#endregion

		#region Event handlers

		private void ExchangeAgentDesignerHelpDialog_Load(object sender, System.EventArgs e) {
			// This function displays the help reference dialog box.
			string filename = System.Reflection.Assembly.GetExecutingAssembly().Location.Substring(0, System.Reflection.Assembly.GetExecutingAssembly().Location.Length - 16) + @"4 Resources\Exchange Agent Designer Documentation.txt";
			if (File.Exists(filename) == false)
				MessageBox.Show("Can't find help documentation.", "Error Accessing Help", MessageBoxButtons.OK, MessageBoxIcon.Error);
			else {
				StreamReader s = new StreamReader(filename);
				txtHelp.Text = s.ReadToEnd();
				s.Close();
				txtHelp.Select(0, 0);
				txtHelp.Refresh();
			}
		}

		#endregion

		#region Uninteresting Windows Form Designer generated code

		protected override void Dispose(bool disposing)		{
			if (disposing) {
				if (components != null) {
				components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

	private void InitializeComponent()	{
		System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(ExchangeAgentDesignerHelpDialog));
		this.txtHelp = new System.Windows.Forms.TextBox();
		this.SuspendLayout();
		// 
		// txtHelp
		// 
		this.txtHelp.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
			| System.Windows.Forms.AnchorStyles.Left) 
			| System.Windows.Forms.AnchorStyles.Right)));
		this.txtHelp.Location = new System.Drawing.Point(8, 8);
		this.txtHelp.Multiline = true;
		this.txtHelp.Name = "txtHelp";
		this.txtHelp.ReadOnly = true;
		this.txtHelp.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
		this.txtHelp.Size = new System.Drawing.Size(928, 520);
		this.txtHelp.TabIndex = 0;
		this.txtHelp.Text = "";
		// 
		// ExchangeAgentDesignerHelpDialog
		// 
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.ClientSize = new System.Drawing.Size(944, 534);
		this.Controls.Add(this.txtHelp);
		this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
		this.Name = "ExchangeAgentDesignerHelpDialog";
		this.Text = "Exchange Agent Designer Help";
		this.Load += new System.EventHandler(this.ExchangeAgentDesignerHelpDialog_Load);
		this.ResumeLayout(false);

	}
		#endregion

	}
}
